digiKam Developer Documentation: Digikam::DImgThreadedFilter::DefaultFilterAction< Filter > Class Template Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DImgThreadedFilter::DefaultFilterAction< Filter > Class Template Reference

Convenience class to spare the few repeating lines of code.

Inheritance diagram for Digikam::DImgThreadedFilter::DefaultFilterAction< Filter >:

## Public Member Functions
| DefaultFilterAction (bool isReproducible)
| DefaultFilterAction (FilterAction::Category category=FilterAction::ReproducibleFilter)
void | supportOlderVersionIf (int version, bool condition)
| Preserve backwards compatibility If a given condition (some new feature is not used) is true, decrease the version so that older digikam versions can still replay the action.
Public Member Functions inherited from Digikam::FilterAction
| FilterAction (const QString &identifier, int version, Category category=ReproducibleFilter)
void | addFlag (Flags flags)
void | addParameter (const QString &key, const QVariant &value)
| Sets parameter, removing all other values for the same key.
Category | category () const
void | clearParameters ()
| Clear all parameters.
QString | description () const
QString | displayableName () const
Flags | flags () const
bool | hasParameter (const QString &key) const
bool | hasParameters () const
| Access parameters.
QString | identifier () const
bool | isNull () const
bool | operator== (const FilterAction &other) const
QVariant & | parameter (const QString &key)
const QVariant | parameter (const QString &key) const
template<typename T >
T | parameter (const QString &key) const
template<typename T >
T | parameter (const QString &key, const T &defaultValue) const
| Read parameter with a default value: If there is a parameter for the given key, return it converted from QVariant to the template type.
QHash< QString, QVariant > & | parameters ()
const QHash< QString, QVariant > & | parameters () const
void | removeFlag (Flags flags)
void | removeParameters (const QString &key)
| Removes all parameters for key.
void | setDescription (const QString &description)
void | setDisplayableName (const QString &displayableName)
void | setFlags (Flags flags)
void | setParameters (const QHash< QString, QVariant > &params)
| Replaces parameters.
int | version () const

## Additional Inherited Members
Public Types inherited from Digikam::FilterAction
enum | Category { ReproducibleFilter = 0 , ComplexFilter = 1 , DocumentedHistory = 2 , CategoryFirst = ReproducibleFilter , CategoryLast = DocumentedHistory }
enum | Flag { ExplicitBranch = 1 << 0 }
typedef QFlags< Flag > | Flags
Protected Attributes inherited from Digikam::FilterAction
Category | m_category = ReproducibleFilter
QString | m_description
QString | m_displayableName
Flags | m_flags
QString | m_identifier
QHash< QString, QVariant > | m_params
int | m_version = 0